%{?nodejs_find_provides_and_requires}
%global enable_tests 1
Name:                nodejs-readdirp
Version:             2.1.0
Release:             2
Summary:             Recursive version of Node's fs.readdir with a streaming API
License:             MIT
URL:                 https://github.com/thlorenz/readdirp
Source0:             https://github.com/thlorenz/readdirp/archive/v%{version}.tar.gz
Patch0:              nodejs-readdirp-pause.patch
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(graceful-fs) npm(minimatch) npm(proxyquire) npm(readable-stream)
BuildRequires:       npm(set-immediate-shim) npm(tap) npm(through2)
%endif
%description
%{summary}.

%prep
%autosetup -n readdirp-%{version} -p1
rm -rf test/
find . -type f -exec chmod -x '{}' \;
%nodejs_fixdep minimatch "^3.0.0"

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/readdirp
cp -pr package.json readdirp.js stream-api.js \
    %{buildroot}%{nodejs_sitelib}/readdirp
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%__tap test/*.js
%endif

%files
%doc README.md examples/
%license LICENSE
%{nodejs_sitelib}/readdirp

%changelog
* Web 09 Jun 2021 zhaoyao<zhaoyao32@huawei.com> - 2.1.0-2
- %prep no longer patched with git

* Sat Aug 22 2020 wangyue <wangyue92@huawei.com> - 2.1.0-1
- package init
